Bug 67704 - less *.tar.bz2 no longer works
Summary: less *.tar.bz2 no longer works
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: less (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-30 03:15 UTC by Wenzhuo Zhang
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-30 03:15:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wenzhuo Zhang 2002-06-30 03:15:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
It's a usability issue.

"less *.tar.bz2" should list the contents of the archive file. It used to work
properly. However, in rh73, the option "I" to tar is deprecated, but
/usr/bin/lesspipe.sh still uses the "I" option.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.less linux-2.4.18.tar.bz2
	

Actual Results:  Nothing displayed

Expected Results:  Display a list of the archive contents.

Additional info:

--- lesspipe.sh Sun Jun 30 11:11:38 2002
+++ lesspipe.sh.new     Sun Jun 30 11:11:17 2002
@@ -22,7 +22,7 @@
        fi ;;
   *.tar) tar tvvf "$1" ;;
   *.tgz|*.tar.gz|*.tar.[zZ]) tar tzvvf "$1" ;;
-  *.tar.bz2|*.tbz2) tar tIvvf "$1" ;;
+  *.tar.bz2|*.tbz2) tar tjvvf "$1" ;;
   *.[zZ]|*.gz) gzip -dc -- "$1" ;;
   *.bz2) bzip2 -dc -- "$1" ;;
   *.zip) zipinfo -- "$1" ;;

Comment 1 Karsten Hopp 2002-07-02 13:36:05 UTC
lesspipe has been changed to use this filter: 
*.tar.bz2|*.tbz2) bzip2 -dc "$1" | tar tvvf - ;;


Note You need to log in before you can comment on or make changes to this bug.